# Uses of Interface
org.eclipse.swt.events.ShellListener

Packages that use ShellListener
Package
Description
org.eclipse.swt.events
org.eclipse.swt.widgets

## Uses of ShellListener in org.eclipse.swt.events

Methods in org.eclipse.swt.events that return ShellListener
Modifier and Type
Method
Description
`static ShellListener`
ShellListener.`shellActivatedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellActivated(ShellEvent e)`) method, given a lambda expression or a method reference.
`static ShellListener`
ShellListener.`shellClosedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellClosed(ShellEvent e)`) method, given a lambda expression or a method reference.
`static ShellListener`
ShellListener.`shellDeactivatedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellDeactivated(ShellEvent e)`) method, given a lambda expression or a method reference.

## Uses of ShellListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type ShellListener
Modifier and Type
Method
Description
`void`
Shell.`addShellListener(ShellListener listener)`
Adds the listener to the collection of listeners who will be notified when operations are performed on the receiver, by sending the listener one of the messages defined in the `ShellListener` interface.
`void`
Shell.`removeShellListener(ShellListener listener)`
Removes the listener from the collection of listeners who will be notified when operations are performed on the receiver.